Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 1979)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_de.ts	(revision 2044)
@@ -8,5 +8,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Native language country name (empty if this language is for all countries)</comment>
         <translation></translation>
@@ -18,5 +18,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Language country name, in English (empty if native country name is empty)</comment>
         <translation></translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts	(revision 1979)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_ru.ts	(revision 2044)
@@ -8,5 +8,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Native language country name (empty if this language is for all countries)</comment>
         <translation></translation>
@@ -18,5 +18,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Language country name, in English (empty if native country name is empty)</comment>
         <translation></translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 1979)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_xx_YY.ts	(revision 2044)
@@ -8,5 +8,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Native language country name (empty if this language is for all countries)</comment>
         <translation type="unfinished"></translation>
@@ -18,5 +18,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Language country name, in English (empty if native country name is empty)</comment>
         <translation type="unfinished"></translation>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 1979)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_CN.ts	(revision 2044)
@@ -8,5 +8,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Native language country name (empty if this language is for all countries)</comment>
         <translation type="unfinished">China</translation>
@@ -18,5 +18,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Language country name, in English (empty if native country name is empty)</comment>
         <translation type="unfinished">China</translation>
@@ -25,5 +25,5 @@
         <source>InnoTek</source>
         <comment>Comma-separated list of translators</comment>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">victor</translation>
     </message>
 </context>
Index: trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 1979)
+++ trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_zh_TW.ts	(revision 2044)
@@ -8,5 +8,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Native language country name (empty if this language is for all countries)</comment>
         <translation type="unfinished">Taiwan</translation>
@@ -18,5 +18,5 @@
     </message>
     <message>
-        <source>built-in</source>
+        <source>--</source>
         <comment>Language country name, in English (empty if native country name is empty)</comment>
         <translation type="unfinished">Taiwan</translation>
@@ -25,5 +25,5 @@
         <source>InnoTek</source>
         <comment>Comma-separated list of translators</comment>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">bluebat</translation>
     </message>
 </context>